
//AT COMMANDS
const char AT_WA[] = "at+WA=";                                                  //WiFi mode: AP,STA
const char AT_WM[] = "at+WM=";                                                  //WiFi metod: manual or smart config
const char AT_SBSSID[] = "at+Sbssid=";                                          //Set target AP bssid
const char AT_SSSID[] = "at+Sssid=";                                            //Set target AP ssid
const char AT_SSSIDL[] = "at+Sssidl=";                                          //Set target AP ssid lenght
const char AT_SAM[] = "at+Sam=";                                                //Set target AP encryption method
const char AT_SPW[] = "at+Spw=";                                                //Set target AP key
const char AT_SPWL[] = "at+Spwl=";                                              //Set lenght of target AP key
const char AT_WC[] = "at+WC=";                                                  //Calculation PMK
const char AT_DHCP[] = "at+dhcp=";                                              //Set DHCP or static IP
const char AT_IP[] = "at+ip=";                                                  //Static IP
const char AT_MASK[] = "at+mask=";                                              //Static Mask
const char AT_DNS[] = "at+dns=";                                                //Static DNS
const char AT_GW[] = "at+gw=";                                                  //Static Gateway
const char AT_UB[] = "at+Ub=";                                                  //Set UART baudrate
const char AT_UD[] = "at+Ud=";                                                  //Set UART datalenght
const char AT_UP[] = "at+Up=";                                                  //Serial parity bit
const char AT_US[] = "at+Us=";                                                  //Serial stop bit lenght
const char AT_UTYPE[] = "at+UType=";                                            //Set TCP or UDP
const char AT_UIP[] = "at+UIp=";                                                //Set remote IP address
const char AT_URPORT[] = "at+URPort=";                                          //Set remote port
const char AT_ULPORT[] = "at+ULPort=";                                          //Set local port
const char AT_UPL[] = "at+UPL=";                                                //Set or query data lenght of auto framing
const char AT_UPT[] = "at+UPT=";                                                //Set or query period of auto framing
const char AT_UPT2[] = "at+UPT2=";                                              //Set or query interval period of auto framing
const char AT_DP[] = "at+DP=";                                                  //Prefix data for UDP/988 executes the AT command enable or disable
const char AT_DE[] = "at+DE=";                                                  //UDP/988 port executes the AT command enable or disable
const char AT_REBOOT[] = "at+Rb=";                                              //Reboot module
const char AT_VERSION[] = "at+ver=";                                            //Get version
const char AT_DEFAULT[] = "at+Df=";                                             //Back to default settings
const char AT_SO[] = "at+SO=";                                                  //Socket open
const char AT_SC[] = "at+SC=";                                                  //Socket close
const char AT_SL[] = "at+SL=";                                                  //Socket check
const char AT_SW[] = "at+SW=";                                                  //Socket write
const char AT_SR[] = "at+SR=";                                                  //Socket read
const char AT_DR[] = "at+DR=";                                                  //Domain name resolution
const char AT_GPW[] = "at+GW=";                                                 //GPIO write
const char AT_GPR[] = "at+GR=";                                                 //GPIO read
const char AT_TS[] = "at+TS=";                                                  //Transparent transmission change
const char AT_MAC[] = "at+mac=";                                                //Get MAC address